Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

gnu-compilers-hpc-1.4-8.1 RPM for noarch

From OpenSuSE Tumbleweed for noarch

Name: gnu-compilers-hpc Distribution: openSUSE Tumbleweed
Version: 1.4 Vendor: openSUSE
Release: 8.1 Build date: Fri Jan 7 23:20:05 2022
Group: Development/Tools/Other Build host: build84
Size: 2438 Source RPM: gnu-compilers-hpc-1.4-8.1.src.rpm
Packager: https://bugs.opensuse.org
Url: https://github.com/openhpc/ohpc
Summary: SUSE HPC GNU Compiler Toolchain environment
Provides HPC-compatible setup and configuration for the GNU compiler toolchain.

Provides

Requires

License

BSD-3-Clause

Changelog

* Mon Dec 13 2021 Antoine Ginies <aginies@suse.com>
  - fix _multibuild with a correct list of gcc version
* Wed Oct 06 2021 Egbert Eich <eich@suse.com>
  - Use %_rpmmacrodir instead of %{_sysconfdir}/rpm (boo#1191381).
* Thu Jul 15 2021 Egbert Eich <eich@suse.com>
  - Improve setting of standard binaries (c, c++) for non-base
    versions.
  - Improve environment settings: only set CC, CXX etc when
    compilers are installed. Thus, if only gnu<X>-compiler-hpc
    is installed, they will not be set.
* Wed Jun 23 2021 Egbert Eich <eich@suse.com>
  - Add build support for gcc11 to HPC build (jsc#SLE-18780,
    jsc#SLE-18781, jsc#SLE-18782).
* Thu Jul 23 2020 Egbert Eich <eich@suse.com>
  - Add build support for gcc10 to HPC build (bsc#1174439).
    Fix version parsing for gcc10 and up.
* Fri Aug 02 2019 Egbert Eich <eich@suse.com>
  - Add support for gcc v.6, v.8 and v.9.
    for SLE-12 HPC: v.6, v.7, v.8 (jsc#SLE-7765)
    for SLE-15 & SLE-15-SP1: gcc v.7, v.8 (jsc#SLE-7766)
    for SLE-15-SP2: add gcc v.9 (jsc#SLE-8604)
  - For the base compiler add a Provides: for the versioned form.
* Wed Jan 16 2019 eich@suse.com
  - Add links from the generic compiler binary names cc, cpp, c++
    and fc to the compiler specific names in the package private
    binary directory.
* Sun Nov 18 2018 eich@suse.com
  - Define _hpc_gnu_module (bsc#1116458).
* Tue Jan 30 2018 eich@suse.com
  - Update to gcc v.7 for SLES-12 builds.
  - Set the 'granularity' for selection to the
    granularity of GNU toolchain versions we
    distinguish: For major versions until 4,
    this is 2 versions, for anything above it
    is just the major version.
  - On TW/Factory add explicit dependency to the
    compiler major version package. This is to make
    sure package gets rebuilt when this versions
    changes.
* Fri Nov 10 2017 eich@suse.com
  - Add Requires: for lua-lmod to base package.
  - Add Provides/Conflicts: to macro package:
    only one version of this macro package can
    can be installed at the same time.

Files

/usr/lib/hpc
/usr/lib/hpc/compiler
/usr/lib/hpc/compiler/gnu
/usr/lib/hpc/compiler/gnu/11
/usr/lib/hpc/gnu11
/usr/share/licenses/gnu-compilers-hpc
/usr/share/licenses/gnu-compilers-hpc/LICENSE
/usr/share/lmod/moduledeps/gnu-11
/usr/share/lmod/modulefiles/gnu
/usr/share/lmod/modulefiles/gnu/.version.11
/usr/share/lmod/modulefiles/gnu/11


Generated by rpm2html 1.8.1

Fabrice Bellet, Wed May 11 23:21:46 2022